/*
 * serial_cmd_fxn.h
 *
 *  Created on: May 3, 2024
 *      Author: thom maughan
 */

#ifndef SERIAL_CMD_FXN_H_
#define SERIAL_CMD_FXN_H_



void cmd_set_vrsi(unsigned int val);
void cmd_set_vrsi_std(unsigned int val);
void cmd_set_vrse_std(unsigned int val);
void cmd_set_vk(unsigned int val);
void cmd_set_vk_std(unsigned int val);
void cmd_set_vtherm(unsigned int val);
void cmd_set_vbat(unsigned int val);
void cmd_set_ik(unsigned int val);
void cmd_set_cfg_sampnum(unsigned int val);
void cmd_set_sampnum(unsigned int num);


void cmd_test_vrsi(unsigned int num);
void cmd_test_vrse_std(unsigned int num);
void cmd_test_vk(unsigned int num);
void cmd_test_vk_std(unsigned int num);
void cmd_test_vtherm(unsigned int num);
void cmd_test_vbat(unsigned int num);
void cmd_test_vrsi_std(unsigned int num);
void cmd_test_vrse_std(unsigned int num);

void cmd_test_timestamp(unsigned int num);

void apf_print_ping_response(void);
void apf_bake_uv_lamp(void);
void apf_get_cfg(void);
void apf_get_cal(void);
void apf_get_ctd(void);
void apf_set_ctd(void);
void apf_get_err(void);
void apf_set_fit(void);
void apf_get_fit(void);
void apf_init(void);
void apf_set_mode(void);
void apf_get_mode(void);
void apf_off(void);
void apf_get_pc(void);
void apf_get_sensor_type(void);
void apf_set_rtc(void);
void apf_get_rtc(void);
void apf_get_get_sc(void);
void apf_xfer_se(void);
void apf_get_se(void);
void apf_get_sc(void);
void apf_slp_sleep(void);
void apf_set_spectra(void);
void apf_get_spectra(void);
void apf_get_acq_time(void);
void apf_set_int_time(void);
void apf_get_int_time(void);
void apf_set_h2m_timeout(void);
void apf_set_m2m_timeout(void);
void print_isus_header(void);
void print_dura_header(void);


#endif /* SERIAL_CMD_FXN_H_ */
